• Pagina non alterabile
  • Informazioni
  • Allegati


Guida verificata con Ubuntu: 16.10 16.04 14.04 12.04

Problemi in questa pagina? Segnalali in questa discussione.

Introduzione

Il driver open source Radeon è in grado di fornire l'accelerazione 2D e 3D a molte schede video e APU ATI/AMD.

È l'unico driver utilizzabile per alcune vecchie schede non più supportate dai driver proprietari fglrx Catalyst. Il driver è già presente in Ubuntu e non necessita di installazione.

Per informazioni sul supporto alle schede video e APU successive tramite driver open source Amdgpu, fare riferimento a questa pagina.

Identificare la propria scheda video o APU

Fare riferimento alla guida relativa.

Hardware supportato ma troppo vecchio per Unity

Queste schede video non possono gestire l'ambiente grafico Unity in maniera adeguata. Se si è in possesso di una di queste schede video, è raccomandato eseguire un ambiente grafico più leggero come Xfce o Lxde (rispettivamente presenti in Xubuntu e Lubuntu).

Chipset

Scheda video

R100

Radeon 7200

RV100

Radeon 7000(VE), M6, RN50/ES1000

RS100

Radeon IGP320(M)

RV200

Radeon 7500, M7, FireGL 7800

RS200

Radeon IGP330(M)/IGP340(M)

RS250

Radeon Mobility 7000 IGP

R200

Radeon 8500, 9100, FireGL 8800/8700

RV250

Radeon 9000PRO/9000, M9

RV280

Radeon 9200PRO/9200/9200SE/9250, M9+

RS300

Radeon 9100 IGP

RS350

Radeon 9200 IGP

Hardware supportato

Fare riferimento alla tabella sottostante per conoscere l'hardware supportato. Questa tabella non è esaustiva.
Prestare attenzione alla versione del sistema operativo installato:

  • Ubuntu 16.04 e versioni successive: fare riferimento alla colonna 16.04 +.

  • Ubuntu 14.04:

    • kernel Linux 4.4.0 (HWE stack Xenial), fare riferimento alla colonna 16.04 +.

    • kernel Linux 3.13.0, fare riferimento alla colonna 14.04.

  • Ubuntu 12.04:

    • kernel Linux 3.13.0 (HWE stack Trusty), fare riferimento alla colonna 14.04.

    • kernel Linux 3.2.0, fare riferimento alla colonna 12.04.

Per conoscere la versione del kernel Linux installata, digitare il seguente comando in una finestra di terminale:  uname -r 

In Ubuntu 12.04 con kernel Linux 3.2.0 si possono riscontrare problemi di surriscaldamento della scheda grafica, causati dal driver Radeon; il problema è da attribuire alla giovane età del driver in questione. In tal caso è possibile installare l'Hardware Enablement Stack Trusty, tramite il quale verranno installate versioni del kernel Linux e del driver Radeon più recenti, che generalmente risolvono il problema.


Chipset

Scheda video o APU

12.04

14.04

16.04 +

RS400/RS480

Radeon XPRESS 200(M)/1100 IGP

(./)

(./)

(./)

R300

Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1

(./)

(./)

(./)

R350

Radeon 9800PRO/9800SE/9800, FireGL X2

(./)

(./)

(./)

R360

Radeon 9800XT/9800XXL

(./)

(./)

(./)

RV350

Radeon 9600PRO/9600SE/9600/9550, M10/M11, FireGL T2

(./)

(./)

(./)

RV360

Radeon 9600XT/9700

(./)

(./)

(./)

RV370

Radeon X300, M22

(./)

(./)

(./)

RV380

Radeon X600, M24

(./)

(./)

(./)

RV410

Radeon X700, M26 PCIE

(./)

(./)

(./)

R420

Radeon X800 AGP

(./)

(./)

(./)

R423/R430

Radeon X800, M28 PCIE

(./)

(./)

(./)

R480/R481

Radeon X850 PCIE/AGP

(./)

(./)

(./)

RV505/RV515/RV516/RV550

Radeon X1300/X1400/X1500/X1550/X2300

(./)

(./)

(./)

R520

Radeon X1800

(./)

(./)

(./)

RV530/RV560

Radeon X1600/X1650/X1700

(./)

(./)

(./)

RV570/R580

Radeon X1900/X1950

(./)

(./)

(./)

RS600/RS690/RS740

Radeon X1200/X1250/X2100

(./)

(./)

(./)

R600

Radeon HD 2900

(./)

(./)

(./)

RV610/RV630

Radeon HD 2400/2600/2700/4200/4225/4250

(./)

(./)

(./)

RV620/RV635

Radeon HD 3410/3430/3450/3470/3650/3670

(./)

(./)

(./)

RV670

Radeon HD 3690/3850/3870

(./)

(./)

(./)

RS780/RS880

Radeon HD 3100/3200/3300/4100/4200/4250/4290

(./)

(./)

(./)

RV710/RV730

Radeon HD 4330/4350/4550/4650/4670/5145/5165/530v/545v/560v/565v

(./)

(./)

(./)

RV740/RV770/RV790

Radeon HD 4770/4730/4830/4850/4860/4870/4890

(./)

(./)

(./)

CEDAR

Radeon HD 5430/5450/6330/6350/6370

(./)

(./)

(./)

REDWOOD

Radeon HD 5550/5570/5650/5670/5730/5750/5770/6530/6550/6570

(./)

(./)

(./)

JUNIPER

Radeon HD 5750/5770/5830/5850/5870/6750/6770/6830/6850/6870

(./)

(./)

(./)

CYPRESS

Radeon HD 5830/5850/5870

(./)

(./)

(./)

HEMLOCK

Radeon HD 5970

(./)

(./)

(./)

PALM

Radeon HD 6310/6250

(./)

(./)

(./)

SUMO/SUMO2

Radeon HD 6370/6380/6410/6480/6520/6530/6550/6620

(./)

(./)

(./)

BARTS

Radeon HD 6790/6850/6870/6950/6970/6990

(./)

(./)

(./)

TURKS

Radeon HD 6570/6630/6650/6670/6730/6750/6770

(./)

(./)

(./)

CAICOS

Radeon HD 6430/6450/6470/6490

(./)

(./)

(./)

CAYMAN

Radeon HD 6950/6970/6990

(./)

(./)

(./)

ARUBA

Radeon HD 7000-serie

{X}

(./)

(./)

TAHITI

Radeon HD 7900-serie
Radeon R9 280/280X

{X}

(./) *1

(./)

PITCAIRN

Radeon HD 7800-serie/8870/7970M/8970M
Radeon R7 265/370
Radeon R9 270/270X/370X/M290X/M390

{X}

(./) *1

(./)

VERDE

Radeon HD 7700-serie/8730/8760/7700M-serie/7850M/7870M/8800M-serie
Radeon R7 250E/250X/350
Radeon R9 M265X/M270X/M275X/M365X/M370X/M375/M375X/M380

{X}

(./) *1

(./)

OLAND

Radeon HD 8570/8670/8000M-serie
Radeon R5 240/330/340/M230/M330/M335
Radeon R7 240/250/340/350/M260X/M360

{X}

(./) *1

(./)

HAINAN

Radeon HD 8800-serie

{X}

(./)

(./)

BONAIRE

Radeon HD 7790/8770
Radeon R7 260/260X/360
Radeon R9 360/M280X/M385/M385X

{X}

(./) *1

(./)

KAVERI

KAVERI APU

{X}

(./) *1

(./)

KABINI

KABINI APU

{X}

(./) *1

(./)

HAWAII

Radeon R9 290/290X/390/390X

{X}

(./) *1

(./)

MULLINS (Puma cores, GCN GPU)

MULLINS/BEEMA/CARRIZO-L APU

{X}

{X}

(./)

Note

  • *1: in Ubuntu 14.04 LTS con kernel Linux 3.13.0 le schede video e le APU più recenti (Radeon Rx 2xx/3xx, APU KABINI/KAVERI rilasciate successivamente alla data di rilascio di Trusty) posso non essere pienamente supportate o non funzionare affatto. Per utilizzare al meglio questo hardware si consiglia di installare l' HWE stack Xenial in Ubuntu 14.04. In alternativa, installare Ubuntu 16.04 LTS o un rilascio successivo.
    Le schede Radeon HD, al contrario, dovrebbero essere pienamente supportate.

Problemi comuni

Audio dell' HDMI

  • Ubuntu 14.04 e versioni successive: l'audio dell'HDMI dovrebbe funzionare automaticamente.

  • Ubuntu 12.04: l'audio tramite HDMI deve essere abilitato manualmente tramite il seguente comando:

    echo "options radeon audio=1" | sudo tee /etc/modprobe.d/radeon.conf

    Potrebbe essere necessario installare un kernel più recente (>= 3.5.x) per abilitare l'audio su schede più recenti. Fare riferimento alla pagina PointRelease.

Risparmio energetico

Kernel 3.11.x e successivi

A partire da Ubuntu 14.04, per le schede grafiche ATI/AMD più recenti supportate dal driver Radeon, il DPM (Dynamic Power Management) dovrebbe funzionare automaticamente.
Se al contrario si notano problemi di surriscaldamento o si possiede una vecchia scheda Radeon HD, è possibile attivare l'opzione di risparmio energetico aggiungendo un parametro d'avvio. Questo dovrebbe sia abbassarne la temperatura di funzionamento, sia ridurre il consumo di energia quando il pc è in stato di idle.

Per fare ciò, aprire con un editor di testo ed i privilegi di amministrazione il file /etc/default/grub e modificare la riga:

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash"

in

GRUB_CMDLINE_LINUX_DEFAULT="quiet splash radeon.dpm=1"

Dopo aver salvato le modifiche, digitare in un terminale il comando:

sudo update-grub

Kernel 3.10.x e precedenti

La gestione energetica è stata uno dei punti deboli del driver Radeon fino al kernel Linux 3.10.x. Se si dispone di un computer portatile che si surriscalda, provare a impostare il profilo di risparmio energetico digitando in un terminale il seguente comando:

sudo bash -c "echo \"profile\" > /sys/class/drm/card0/device/power_method"
sudo bash -c "echo \"low\" > /sys/class/drm/card0/device/power_profile"

Ulteriori risorse


CategoryHardware